/*
  @description:功能反馈-公用字典
  @Modifier:张慢慢
  @routerPath:
  @date:2021-11-29
*/
export const compaintsSuggestionsGroupMixins = {
  data() {
    return {
      /* ----------------字典信息Start-----------------*/
      complaintsStateList: [], // 状态
      complaintsTypeList: [], // 投诉类型
      dictionaryType: [
        'complaintsState',
        'complaintsType'
      ],
      /* ----------------字典信息End-----------------*/
      fileData: { // 相关证明材料附件
        bizId: '',
        fileType: 'prot_project_complaints_file'
      }
    }
  },
  created() {
    // 获取字典信息
    this.getGroupType()
  },
  methods: {
    // 字典请求
    getGroupType() {
      this.$store.dispatch('getGroupType', this.dictionaryType).then((data) => {
        // 遍历key存储相应的数据
        for (const key in data.bidTypeData) {
          /* 是否有数据*/
          if (data.bidTypeData[key]) {
            this[key] = data.bidTypeData[key]
          }
        }
      })
    }
  }
}

